package enea.lecservice.models.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.StringUtils;

@Getter @Setter @AllArgsConstructor @NoArgsConstructor @SuperBuilder
public class BaseRequest {
    protected String token;
    protected String contentLanguage;

    public String getContentLanguage() {
        if (StringUtils.isBlank(contentLanguage) || "it".equals(contentLanguage))
            contentLanguage = "it_IT";
        return contentLanguage;
    }
}
